
QGIS Application - Bug report #2853

Right menu shows after error about could not add ring

2010-06-30 10:26 PM - dr -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12913

Description

1. Create new polygonal vector layer;

2. Create polygon and draw ring (by Add Ring tool) within it.

3. Try to draw second ring which intersect first and get an error message: "The inserted Ring is not contained in a feature". Click Ok

button and get right menu.

History

#1 - 2010-06-30 10:38 PM - dr -

The same problems:

1. Choose Split Features tool and click right button anywhere in View;

2. Get an error 'An error occured during feature splitting'. Click Ok and get right menu.

1. Choose Add Part tool and click right button anywhere in View;

2. Get an error 'No feature selected. Please select a feature with the selection tool or in the attribute table'. Click Ok and get right menu.

#2 - 2010-06-30 11:01 PM - dr -

And...

1. Open any vector layer, toggle editing;

2. Choose Reshape Features tool and start quickly to click in the View by right button... get right menu :-)

#3 - 2010-07-01 12:00 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

hopefully "fixed" in commit:6b0a6e92 (SVN r13865) (see also #2239)
